%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%function res = dessineSolution(T,U)
%fonction qui dessine une fonction P1 Lagrange
%donne par ses valeurs dans un tableau U 
%
% ENTREE : T-> le maillage
% SORTIE : U-> le vecteur vateur de la solution
%          aux sommets du maillage
%
%%  COURS D'ELEMENTS FINIS
%%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%% (c) Jean-Baptiste Apoung Kamga (dec 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function res = dessineSolution(T,U)
[l2g, nbloc, nbdof , doflab, coord] = builddof(T,1);
X =coord(:,1); Y =coord(:,2); TT = [];
TT = l2g;
trisurf(TT,X,Y,U); shading interp;
%trimesh(TT,X,Y,U);
colorbar('NorthOutside' );
title('solution');
