%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%function laplace2d
%fonction qui execute le script du laplacien 2D 
%discrétisé par éléments finis P1-Lagrange 
%
%%  COURS D'ELEMENTS FINIS
%%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%% (c) Jean-Baptiste Apoung Kamga (dec 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function laplace2d

%% lecture du maillage donné par le fichier 'carree.msh'
T=lecturemaillage('carree.msh');

%% Assemblage de la matrice et du second membre
[A,F] = assemble(T);

%Introduction des conditions aux limites
%les côtés du carré ont pour labels 1 2 3 et 4
[A,F] = conditionLimite(T,A,F,1);
[A,F] = conditionLimite(T,A,F,2);
[A,F] = conditionLimite(T,A,F,3);
[A,F] = conditionLimite(T,A,F,4);

% Résolution du système linéaire
U=A\F;

% Affichage de la solution
dessineSolution(T,U);


