%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%fonction function [Fk] = matelementaire(X)
%%
%% ENTREE : X corrdones des sommets du maillage
%%
%% SORTIE : matrice Fk de taille 3 x 1 du second membre: f*v 
%%
%%  COURS D'ELEMENTS FINIS
%%  M2PRO 2007-2008    Lab AN-EDP Univ d'ORSAY
%% (c) Jean-Baptiste Apoung Kamga (dec 2007)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [Fk] = secondelementaire(X)
Fk= zeros(3,1);
[PhQ, dxPhQ, dyPhQ, weight,XYQ] = basis_and_deriv_on_quad(X,1,1);
nq=length(weight);
for l = 1:nq
  Ph= PhQ(l,:);
    wl = weight(l);
    xl  = XYQ(l,1); yl = XYQ(l,2);
    Fk = Fk + wl *f(xl,yl) *Ph';
end